difference.igraph.vs {igraph} | R Documentation

## Difference of vertex sequences

### Description

Difference of vertex sequences

### Usage

    ## S3 method for class 'igraph.vs'
    difference(big, small, ...)

### Arguments

`big` | The ‘big’ vertex sequence.
`small` | The ‘small’ vertex sequence.
`...` | Ignored, included for S3 signature compatibility.

### Details

They must belong to the same graph. Note that this function has ‘set’ semantics and the multiplicity of vertices is lost in the result.

### Value

A vertex sequence that contains only vertices that are part of `big`, but not part of `small`.

### See Also

Other vertex and edge sequence operations: `c.igraph.es`, `c.igraph.vs`, `difference.igraph.es`, `igraph-es-indexing2`, `igraph-es-indexing`, `igraph-vs-indexing2`, `igraph-vs-indexing`, `intersection.igraph.es`, `intersection.igraph.vs`, `rev.igraph.es`, `rev.igraph.vs`, `union.igraph.es`, `union.igraph.vs`, `unique.igraph.es`, `unique.igraph.vs`

### Examples

    g <- make_(ring(10), with_vertex_(name = LETTERS[1:10]))
    difference(V(g), V(g)[6:10])

[Package igraph version 1.1.2 Index]